Skip to content
Last updated

Get and update field transformation mappings (hashing, renaming, filtering) for a connection.

Get mappings

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/mappings

Returns the field transformation mappings configured for a connection.

Path Parameters

connection_id string required

The connection ID.


Update mappings

PATCHhttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/mappings

Set hashing, renaming, or filtering rules per stream.

Request Body

mappings array required

Array of mapping rules. Mapper types include hashing, field_renaming, and row_filtering.


Returns

A mappings object containing a mappings array with transformation rules.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/conn_abc123/mappings" \
  -H "Authorization: Bearer $ACCESS_TOKEN"